List of Voided Purchases
This API provides the voided purchases associated with a specific application. It allows you to retrieve voided purchases with filters. This API does not require authentication.
Endpoint
| Method | URL |
|---|---|
| GET | https://api.catappult.io/productv2/8.20250505/google/inapp/v3/applications/{packageName}/purchases/voidedpurchases |
Authentication
No authentication required.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
packageName | string | Required | Package name of the application. |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
pageSelection.maxResults | integer | Optional | The maximum number of voided purchases that appear in each response. |
pageSelection.token | string | Optional | A continuation token from a previous response, allowing you to view more results. |
type | integer | Optional | Type of voided purchases to receive. 0 — INAPP only (default). 1 — INAPP & SUBS. |
startTime | string | Optional | Time in milliseconds of the oldest voided purchase you want to receive. |
endTime | string | Optional | Time in milliseconds of the newest voided purchase you want to receive. |
Response
| Status | Description |
|---|---|
200 | Success. Returns the voided purchases list. |
Success (200) Response Fields
| Name | Type | Description |
|---|---|---|
pageInfo | Object | Pagination info object. |
pageInfo.resultPerPage | Integer | Number of results in the current page. |
tokenPagination | Object | Token pagination object. |
tokenPagination.nextPageToken | String | Token for the next page of results. |
tokenPagination.previousPageToken | String | Token for the previous page of results. |
voidedPurchases | Array | Array of voided purchase objects. |
voidedPurchases[].kind | String | Type of voided purchase object. |
voidedPurchases[].purchaseToken | String | Purchase token for the purchase. |
voidedPurchases[].orderId | String | Order ID for the purchase. |
voidedPurchases[].purchaseTimeMillis | Long | Time in milliseconds when the purchase was made. |
voidedPurchases[].voidedTimeMillis | Long | Time in milliseconds when the purchase was voided. |
voidedPurchases[].voidedReason | Int | Reason for voiding the purchase. |
Example Response
{
"pageInfo": {
"resultPerPage": 22
},
"tokenPagination": {
"nextPageToken": null,
"previousPageToken": null
},
"voidedPurchases": [
{
"kind": "androidpublisher#voidedPurchase",
"purchaseToken": "catappult.inapp.purchase.QQATJ76ESKXMTLKY",
"purchaseTimeMillis": 1721167420119,
"voidedTimeMillis": 1721340431555,
"orderId": "WJTG2ID4TQJSYOQK",
"voidedReason": 0
}
]
}
voidedReason
| Value | Description |
|---|---|
| 0 | Purchase has been REFUNDED. |
| 7 | Purchase has been CHARGEDBACK. |